Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
remove cvs files.
[simgrid.git] / testsuite / Makefile.in
1 # Makefile.in generated by automake 1.10 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Makefile chunk which allows to display the files which should be included
18 # into the distribution.
19
20 # It is intended to be included in all Makefile.am 
21 VPATH = @srcdir@
22 pkgdatadir = $(datadir)/@PACKAGE@
23 pkglibdir = $(libdir)/@PACKAGE@
24 pkgincludedir = $(includedir)/@PACKAGE@
25 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
26 install_sh_DATA = $(install_sh) -c -m 644
27 install_sh_PROGRAM = $(install_sh) -c
28 install_sh_SCRIPT = $(install_sh) -c
29 INSTALL_HEADER = $(INSTALL_DATA)
30 transform = $(program_transform_name)
31 NORMAL_INSTALL = :
32 PRE_INSTALL = :
33 POST_INSTALL = :
34 NORMAL_UNINSTALL = :
35 PRE_UNINSTALL = :
36 POST_UNINSTALL = :
37 build_triplet = @build@
38 host_triplet = @host@
39 target_triplet = @target@
40 check_PROGRAMS = $(am__EXEEXT_1) $(am__EXEEXT_2) $(am__EXEEXT_3)
41 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
42         $(srcdir)/run_tests.in $(top_srcdir)/acmacro/dist-files.mk
43 subdir = testsuite
44 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
45 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
46         $(top_srcdir)/acmacro/compiler-flags.m4 \
47         $(top_srcdir)/acmacro/context.m4 \
48         $(top_srcdir)/acmacro/fancy_configury.m4 \
49         $(top_srcdir)/acmacro/flex.m4 \
50         $(top_srcdir)/acmacro/gras_arch.m4 \
51         $(top_srcdir)/acmacro/print_null.m4 \
52         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
53 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
54         $(ACLOCAL_M4)
55 mkinstalldirs = $(install_sh) -d
56 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
57 CONFIG_CLEAN_FILES = run_tests
58 am__EXEEXT_1 = xbt/log_usage$(EXEEXT) xbt/heap_bench$(EXEEXT) \
59         xbt/graphxml_usage$(EXEEXT) xbt/context_usage$(EXEEXT)
60 am__EXEEXT_2 = surf/maxmin_bench$(EXEEXT) surf/lmm_usage$(EXEEXT) \
61         surf/trace_usage$(EXEEXT) surf/surf_usage$(EXEEXT) \
62         surf/surf_usage2$(EXEEXT)
63 am__EXEEXT_3 = simdag/sd_test$(EXEEXT)
64 simdag_sd_test_SOURCES = simdag/sd_test.c
65 simdag_sd_test_OBJECTS = sd_test.$(OBJEXT)
66 simdag_sd_test_DEPENDENCIES = $(LDADD_SG)
67 am__dirstamp = $(am__leading_dot)dirstamp
68 surf_lmm_usage_SOURCES = surf/lmm_usage.c
69 surf_lmm_usage_OBJECTS = lmm_usage.$(OBJEXT)
70 surf_lmm_usage_DEPENDENCIES = $(LDADD_SG)
71 surf_maxmin_bench_SOURCES = surf/maxmin_bench.c
72 surf_maxmin_bench_OBJECTS = maxmin_bench.$(OBJEXT)
73 surf_maxmin_bench_DEPENDENCIES = $(LDADD_SG)
74 surf_surf_usage_SOURCES = surf/surf_usage.c
75 surf_surf_usage_OBJECTS = surf_usage.$(OBJEXT)
76 surf_surf_usage_DEPENDENCIES = $(LDADD_SG)
77 surf_surf_usage2_SOURCES = surf/surf_usage2.c
78 surf_surf_usage2_OBJECTS = surf_usage2.$(OBJEXT)
79 surf_surf_usage2_DEPENDENCIES = $(LDADD_SG)
80 surf_trace_usage_SOURCES = surf/trace_usage.c
81 surf_trace_usage_OBJECTS = trace_usage.$(OBJEXT)
82 surf_trace_usage_DEPENDENCIES = $(LDADD_SG)
83 xbt_context_usage_SOURCES = xbt/context_usage.c
84 xbt_context_usage_OBJECTS = context_usage.$(OBJEXT)
85 xbt_context_usage_DEPENDENCIES = $(LDADD_SG)
86 xbt_graphxml_usage_SOURCES = xbt/graphxml_usage.c
87 xbt_graphxml_usage_OBJECTS = graphxml_usage.$(OBJEXT)
88 xbt_graphxml_usage_DEPENDENCIES = $(LDADD_SG)
89 xbt_heap_bench_SOURCES = xbt/heap_bench.c
90 xbt_heap_bench_OBJECTS = heap_bench.$(OBJEXT)
91 xbt_heap_bench_DEPENDENCIES = $(LDADD_RL)
92 xbt_log_usage_SOURCES = xbt/log_usage.c
93 xbt_log_usage_OBJECTS = log_usage.$(OBJEXT)
94 xbt_log_usage_DEPENDENCIES = $(LDADD_RL)
95 DEFAULT_INCLUDES = -I. -I$(top_builddir)/src@am__isrc@
96 depcomp = $(SHELL) $(top_srcdir)/depcomp
97 am__depfiles_maybe = depfiles
98 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
99         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
100 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
101         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
102         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
103 CCLD = $(CC)
104 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
105         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
106         $(LDFLAGS) -o $@
107 SOURCES = simdag/sd_test.c surf/lmm_usage.c surf/maxmin_bench.c \
108         surf/surf_usage.c surf/surf_usage2.c surf/trace_usage.c \
109         xbt/context_usage.c xbt/graphxml_usage.c xbt/heap_bench.c \
110         xbt/log_usage.c
111 DIST_SOURCES = simdag/sd_test.c surf/lmm_usage.c surf/maxmin_bench.c \
112         surf/surf_usage.c surf/surf_usage2.c surf/trace_usage.c \
113         xbt/context_usage.c xbt/graphxml_usage.c xbt/heap_bench.c \
114         xbt/log_usage.c
115 ETAGS = etags
116 CTAGS = ctags
117 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
118 ACLOCAL = @ACLOCAL@
119 ADDR2LINE = @ADDR2LINE@
120 AMTAR = @AMTAR@
121 AM_CPPFLAGS = @AM_CPPFLAGS@
122 AR = @AR@
123 AS = @AS@
124 AUTOCONF = @AUTOCONF@
125 AUTOHEADER = @AUTOHEADER@
126 AUTOMAKE = @AUTOMAKE@
127 AWK = @AWK@
128 BASH = @BASH@
129 CC = @CC@
130 CCDEPMODE = @CCDEPMODE@
131 CFLAGS = @CFLAGS@
132 CPP = @CPP@
133 CPPFLAGS = @CPPFLAGS@
134 CXX = @CXX@
135 CXXCPP = @CXXCPP@
136 CXXDEPMODE = @CXXDEPMODE@
137 CXXFLAGS = @CXXFLAGS@
138 CYGPATH_W = @CYGPATH_W@
139 DEFS = @DEFS@
140 DEPDIR = @DEPDIR@
141 DLLTOOL = @DLLTOOL@
142 DOXYGEN = @DOXYGEN@
143 ECHO = @ECHO@
144 ECHO_C = @ECHO_C@
145 ECHO_N = @ECHO_N@
146 ECHO_T = @ECHO_T@
147 EGREP = @EGREP@
148 EXEEXT = @EXEEXT@
149 FLEXML = @FLEXML@
150 GCJ = @GCJ@
151 GCJDEPMODE = @GCJDEPMODE@
152 GCJFLAGS = @GCJFLAGS@
153 GRAS_DEP = @GRAS_DEP@
154 GREP = @GREP@
155 INSTALL = @INSTALL@
156 INSTALL_DATA = @INSTALL_DATA@
157 INSTALL_PROGRAM = @INSTALL_PROGRAM@
158 INSTALL_SCRIPT = @INSTALL_SCRIPT@
159 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
160 JAR = @JAR@
161 JAVA = @JAVA@
162 JAVAC = @JAVAC@
163 LDFLAGS = @LDFLAGS@
164 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
165 LEX = @LEX@
166 LEXLIB = @LEXLIB@
167 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
168 LIBOBJS = @LIBOBJS@
169 LIBS = @LIBS@
170 LIBTOOL = @LIBTOOL@
171 LN_S = @LN_S@
172 LTLIBOBJS = @LTLIBOBJS@
173 MAINT = @MAINT@
174 MAKEINFO = @MAKEINFO@
175 MD5SUM = @MD5SUM@
176 MKDIR_P = @MKDIR_P@
177 OBJDUMP = @OBJDUMP@
178 OBJEXT = @OBJEXT@
179 PACKAGE = @PACKAGE@
180 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
181 PACKAGE_NAME = @PACKAGE_NAME@
182 PACKAGE_STRING = @PACKAGE_STRING@
183 PACKAGE_TARNAME = @PACKAGE_TARNAME@
184 PACKAGE_VERSION = @PACKAGE_VERSION@
185 PATH_SEPARATOR = @PATH_SEPARATOR@
186 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
187 RANLIB = @RANLIB@
188 SET_MAKE = @SET_MAKE@
189 SHELL = @SHELL@
190 SIMGRID_DEP = @SIMGRID_DEP@
191 SMPI_DEP = @SMPI_DEP@
192 STRIP = @STRIP@
193 VERSION = @VERSION@
194 WARNING = @WARNING@
195 abs_builddir = @abs_builddir@
196 abs_srcdir = @abs_srcdir@
197 abs_top_builddir = @abs_top_builddir@
198 abs_top_srcdir = @abs_top_srcdir@
199 ac_configure_args = @ac_configure_args@
200 ac_ct_CC = @ac_ct_CC@
201 ac_ct_CXX = @ac_ct_CXX@
202 am__include = @am__include@
203 am__leading_dot = @am__leading_dot@
204 am__quote = @am__quote@
205 am__tar = @am__tar@
206 am__untar = @am__untar@
207 bindir = @bindir@
208 build = @build@
209 build_alias = @build_alias@
210 build_cpu = @build_cpu@
211 build_id = @build_id@
212 build_os = @build_os@
213 build_vendor = @build_vendor@
214 builddir = @builddir@
215 datadir = @datadir@
216 datarootdir = @datarootdir@
217 docdir = @docdir@
218 dvidir = @dvidir@
219 exec_prefix = @exec_prefix@
220 host = @host@
221 host_alias = @host_alias@
222 host_cpu = @host_cpu@
223 host_os = @host_os@
224 host_vendor = @host_vendor@
225 htmldir = @htmldir@
226 includedir = @includedir@
227 infodir = @infodir@
228 install_sh = @install_sh@
229 libdir = @libdir@
230 libexecdir = @libexecdir@
231 localedir = @localedir@
232 localstatedir = @localstatedir@
233 mandir = @mandir@
234 mkdir_p = @mkdir_p@
235 oldincludedir = @oldincludedir@
236 pdfdir = @pdfdir@
237 prefix = @prefix@
238 program_transform_name = @program_transform_name@
239 psdir = @psdir@
240 pth_skaddr_makecontext = @pth_skaddr_makecontext@
241 pth_sksize_makecontext = @pth_sksize_makecontext@
242 sbindir = @sbindir@
243 sharedstatedir = @sharedstatedir@
244 srcdir = @srcdir@
245 sysconfdir = @sysconfdir@
246 target = @target@
247 target_alias = @target_alias@
248 target_cpu = @target_cpu@
249 target_os = @target_os@
250 target_vendor = @target_vendor@
251 top_builddir = @top_builddir@
252 top_srcdir = @top_srcdir@
253 INCLUDES = -I$(top_srcdir)/include -I$(top_srcdir)/src -I$(top_srcdir)/src/include
254 AM_CFLAGS = -g
255 CLEANFILES = *~ test a.out *.o testgraph.xml testgraph.dot
256 DISTCLEANFILES = gras/.libs/* xbt/.libs/* surf/.libs/* msg/.libs/* simdag/.libs/*
257 EXTRA_DIST = run_tests.in \
258   xbt/graph.xml \
259   surf/trace_A.txt surf/trace_B.txt surf/trace_A_failure.txt surf/platform.xml\
260   simdag/availability_tremblay.txt simdag/small_platform_variable.xml
261
262
263 # Test stuff
264 xbt_tests = \
265         xbt/log_usage                                            \
266         xbt/heap_bench                                           \
267         xbt/graphxml_usage                                       \
268         xbt/context_usage                                        
269
270 SG_tests = \
271         surf/maxmin_bench surf/lmm_usage \
272         surf/trace_usage surf/surf_usage surf/surf_usage2
273
274 simdag_tests = simdag/sd_test
275 check_SCRIPTS = run_tests gras/trp_tcp_usage
276 TESTS = run_tests
277
278 # LDADD_UTILS is still a separate var to distinguish core tester from RL tester
279 LDADD_SG = $(abs_top_builddir)/src/libsimgrid.la 
280 LDADD_RL = $(abs_top_builddir)/src/libgras.la   
281 xbt_log_usage_LDADD = $(LDADD_RL)
282 xbt_heap_bench_LDADD = $(LDADD_RL)
283 xbt_parallel_log_crashtest_LDADD = $(LDADD_RL)
284 xbt_graphxml_usage_LDADD = $(LDADD_SG)
285 xbt_context_usage_LDADD = $(LDADD_SG)
286 surf_maxmin_bench_LDADD = $(LDADD_SG)
287 surf_lmm_usage_LDADD = $(LDADD_SG)
288 surf_trace_usage_LDADD = $(LDADD_SG)
289 surf_surf_usage_LDADD = $(LDADD_SG)
290 surf_surf_usage2_LDADD = $(LDADD_SG)
291 simdag_sd_test_LDADD = $(LDADD_SG)
292 all: all-am
293
294 .SUFFIXES:
295 .SUFFIXES: .c .lo .o .obj
296 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
297         @for dep in $?; do \
298           case '$(am__configure_deps)' in \
299             *$$dep*) \
300               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
301                 && exit 0; \
302               exit 1;; \
303           esac; \
304         done; \
305         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  testsuite/Makefile'; \
306         cd $(top_srcdir) && \
307           $(AUTOMAKE) --gnu  testsuite/Makefile
308 .PRECIOUS: Makefile
309 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
310         @case '$?' in \
311           *config.status*) \
312             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
313           *) \
314             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
315             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
316         esac;
317
318 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
319         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
320
321 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
322         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
323 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
324         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
325 run_tests: $(top_builddir)/config.status $(srcdir)/run_tests.in
326         cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
327
328 clean-checkPROGRAMS:
329         @list='$(check_PROGRAMS)'; for p in $$list; do \
330           f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
331           echo " rm -f $$p $$f"; \
332           rm -f $$p $$f ; \
333         done
334 simdag/$(am__dirstamp):
335         @$(MKDIR_P) simdag
336         @: > simdag/$(am__dirstamp)
337 simdag/sd_test$(EXEEXT): $(simdag_sd_test_OBJECTS) $(simdag_sd_test_DEPENDENCIES) simdag/$(am__dirstamp)
338         @rm -f simdag/sd_test$(EXEEXT)
339         $(LINK) $(simdag_sd_test_OBJECTS) $(simdag_sd_test_LDADD) $(LIBS)
340 surf/$(am__dirstamp):
341         @$(MKDIR_P) surf
342         @: > surf/$(am__dirstamp)
343 surf/lmm_usage$(EXEEXT): $(surf_lmm_usage_OBJECTS) $(surf_lmm_usage_DEPENDENCIES) surf/$(am__dirstamp)
344         @rm -f surf/lmm_usage$(EXEEXT)
345         $(LINK) $(surf_lmm_usage_OBJECTS) $(surf_lmm_usage_LDADD) $(LIBS)
346 surf/maxmin_bench$(EXEEXT): $(surf_maxmin_bench_OBJECTS) $(surf_maxmin_bench_DEPENDENCIES) surf/$(am__dirstamp)
347         @rm -f surf/maxmin_bench$(EXEEXT)
348         $(LINK) $(surf_maxmin_bench_OBJECTS) $(surf_maxmin_bench_LDADD) $(LIBS)
349 surf/surf_usage$(EXEEXT): $(surf_surf_usage_OBJECTS) $(surf_surf_usage_DEPENDENCIES) surf/$(am__dirstamp)
350         @rm -f surf/surf_usage$(EXEEXT)
351         $(LINK) $(surf_surf_usage_OBJECTS) $(surf_surf_usage_LDADD) $(LIBS)
352 surf/surf_usage2$(EXEEXT): $(surf_surf_usage2_OBJECTS) $(surf_surf_usage2_DEPENDENCIES) surf/$(am__dirstamp)
353         @rm -f surf/surf_usage2$(EXEEXT)
354         $(LINK) $(surf_surf_usage2_OBJECTS) $(surf_surf_usage2_LDADD) $(LIBS)
355 surf/trace_usage$(EXEEXT): $(surf_trace_usage_OBJECTS) $(surf_trace_usage_DEPENDENCIES) surf/$(am__dirstamp)
356         @rm -f surf/trace_usage$(EXEEXT)
357         $(LINK) $(surf_trace_usage_OBJECTS) $(surf_trace_usage_LDADD) $(LIBS)
358 xbt/$(am__dirstamp):
359         @$(MKDIR_P) xbt
360         @: > xbt/$(am__dirstamp)
361 xbt/context_usage$(EXEEXT): $(xbt_context_usage_OBJECTS) $(xbt_context_usage_DEPENDENCIES) xbt/$(am__dirstamp)
362         @rm -f xbt/context_usage$(EXEEXT)
363         $(LINK) $(xbt_context_usage_OBJECTS) $(xbt_context_usage_LDADD) $(LIBS)
364 xbt/graphxml_usage$(EXEEXT): $(xbt_graphxml_usage_OBJECTS) $(xbt_graphxml_usage_DEPENDENCIES) xbt/$(am__dirstamp)
365         @rm -f xbt/graphxml_usage$(EXEEXT)
366         $(LINK) $(xbt_graphxml_usage_OBJECTS) $(xbt_graphxml_usage_LDADD) $(LIBS)
367 xbt/heap_bench$(EXEEXT): $(xbt_heap_bench_OBJECTS) $(xbt_heap_bench_DEPENDENCIES) xbt/$(am__dirstamp)
368         @rm -f xbt/heap_bench$(EXEEXT)
369         $(LINK) $(xbt_heap_bench_OBJECTS) $(xbt_heap_bench_LDADD) $(LIBS)
370 xbt/log_usage$(EXEEXT): $(xbt_log_usage_OBJECTS) $(xbt_log_usage_DEPENDENCIES) xbt/$(am__dirstamp)
371         @rm -f xbt/log_usage$(EXEEXT)
372         $(LINK) $(xbt_log_usage_OBJECTS) $(xbt_log_usage_LDADD) $(LIBS)
373
374 mostlyclean-compile:
375         -rm -f *.$(OBJEXT)
376
377 distclean-compile:
378         -rm -f *.tab.c
379
380 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/context_usage.Po@am__quote@
381 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/graphxml_usage.Po@am__quote@
382 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/heap_bench.Po@am__quote@
383 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/lmm_usage.Po@am__quote@
384 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/log_usage.Po@am__quote@
385 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/maxmin_bench.Po@am__quote@
386 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sd_test.Po@am__quote@
387 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/surf_usage.Po@am__quote@
388 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/surf_usage2.Po@am__quote@
389 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/trace_usage.Po@am__quote@
390
391 .c.o:
392 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
393 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
394 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
395 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
396 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
397
398 .c.obj:
399 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
400 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
401 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
402 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
403 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
404
405 .c.lo:
406 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
407 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
408 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
409 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
410 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
411
412 sd_test.o: simdag/sd_test.c
413 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sd_test.o -MD -MP -MF $(DEPDIR)/sd_test.Tpo -c -o sd_test.o `test -f 'simdag/sd_test.c' || echo '$(srcdir)/'`simdag/sd_test.c
414 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/sd_test.Tpo $(DEPDIR)/sd_test.Po
415 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/sd_test.c' object='sd_test.o' libtool=no @AMDEPBACKSLASH@
416 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
417 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sd_test.o `test -f 'simdag/sd_test.c' || echo '$(srcdir)/'`simdag/sd_test.c
418
419 sd_test.obj: simdag/sd_test.c
420 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sd_test.obj -MD -MP -MF $(DEPDIR)/sd_test.Tpo -c -o sd_test.obj `if test -f 'simdag/sd_test.c'; then $(CYGPATH_W) 'simdag/sd_test.c'; else $(CYGPATH_W) '$(srcdir)/simdag/sd_test.c'; fi`
421 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/sd_test.Tpo $(DEPDIR)/sd_test.Po
422 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/sd_test.c' object='sd_test.obj' libtool=no @AMDEPBACKSLASH@
423 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
424 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sd_test.obj `if test -f 'simdag/sd_test.c'; then $(CYGPATH_W) 'simdag/sd_test.c'; else $(CYGPATH_W) '$(srcdir)/simdag/sd_test.c'; fi`
425
426 lmm_usage.o: surf/lmm_usage.c
427 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT lmm_usage.o -MD -MP -MF $(DEPDIR)/lmm_usage.Tpo -c -o lmm_usage.o `test -f 'surf/lmm_usage.c' || echo '$(srcdir)/'`surf/lmm_usage.c
428 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/lmm_usage.Tpo $(DEPDIR)/lmm_usage.Po
429 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/lmm_usage.c' object='lmm_usage.o' libtool=no @AMDEPBACKSLASH@
430 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
431 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o lmm_usage.o `test -f 'surf/lmm_usage.c' || echo '$(srcdir)/'`surf/lmm_usage.c
432
433 lmm_usage.obj: surf/lmm_usage.c
434 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT lmm_usage.obj -MD -MP -MF $(DEPDIR)/lmm_usage.Tpo -c -o lmm_usage.obj `if test -f 'surf/lmm_usage.c'; then $(CYGPATH_W) 'surf/lmm_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/lmm_usage.c'; fi`
435 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/lmm_usage.Tpo $(DEPDIR)/lmm_usage.Po
436 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/lmm_usage.c' object='lmm_usage.obj' libtool=no @AMDEPBACKSLASH@
437 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
438 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o lmm_usage.obj `if test -f 'surf/lmm_usage.c'; then $(CYGPATH_W) 'surf/lmm_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/lmm_usage.c'; fi`
439
440 maxmin_bench.o: surf/maxmin_bench.c
441 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT maxmin_bench.o -MD -MP -MF $(DEPDIR)/maxmin_bench.Tpo -c -o maxmin_bench.o `test -f 'surf/maxmin_bench.c' || echo '$(srcdir)/'`surf/maxmin_bench.c
442 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/maxmin_bench.Tpo $(DEPDIR)/maxmin_bench.Po
443 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/maxmin_bench.c' object='maxmin_bench.o' libtool=no @AMDEPBACKSLASH@
444 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
445 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o maxmin_bench.o `test -f 'surf/maxmin_bench.c' || echo '$(srcdir)/'`surf/maxmin_bench.c
446
447 maxmin_bench.obj: surf/maxmin_bench.c
448 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT maxmin_bench.obj -MD -MP -MF $(DEPDIR)/maxmin_bench.Tpo -c -o maxmin_bench.obj `if test -f 'surf/maxmin_bench.c'; then $(CYGPATH_W) 'surf/maxmin_bench.c'; else $(CYGPATH_W) '$(srcdir)/surf/maxmin_bench.c'; fi`
449 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/maxmin_bench.Tpo $(DEPDIR)/maxmin_bench.Po
450 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/maxmin_bench.c' object='maxmin_bench.obj' libtool=no @AMDEPBACKSLASH@
451 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
452 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o maxmin_bench.obj `if test -f 'surf/maxmin_bench.c'; then $(CYGPATH_W) 'surf/maxmin_bench.c'; else $(CYGPATH_W) '$(srcdir)/surf/maxmin_bench.c'; fi`
453
454 surf_usage.o: surf/surf_usage.c
455 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT surf_usage.o -MD -MP -MF $(DEPDIR)/surf_usage.Tpo -c -o surf_usage.o `test -f 'surf/surf_usage.c' || echo '$(srcdir)/'`surf/surf_usage.c
456 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/surf_usage.Tpo $(DEPDIR)/surf_usage.Po
457 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/surf_usage.c' object='surf_usage.o' libtool=no @AMDEPBACKSLASH@
458 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
459 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o surf_usage.o `test -f 'surf/surf_usage.c' || echo '$(srcdir)/'`surf/surf_usage.c
460
461 surf_usage.obj: surf/surf_usage.c
462 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT surf_usage.obj -MD -MP -MF $(DEPDIR)/surf_usage.Tpo -c -o surf_usage.obj `if test -f 'surf/surf_usage.c'; then $(CYGPATH_W) 'surf/surf_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/surf_usage.c'; fi`
463 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/surf_usage.Tpo $(DEPDIR)/surf_usage.Po
464 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/surf_usage.c' object='surf_usage.obj' libtool=no @AMDEPBACKSLASH@
465 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
466 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o surf_usage.obj `if test -f 'surf/surf_usage.c'; then $(CYGPATH_W) 'surf/surf_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/surf_usage.c'; fi`
467
468 surf_usage2.o: surf/surf_usage2.c
469 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT surf_usage2.o -MD -MP -MF $(DEPDIR)/surf_usage2.Tpo -c -o surf_usage2.o `test -f 'surf/surf_usage2.c' || echo '$(srcdir)/'`surf/surf_usage2.c
470 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/surf_usage2.Tpo $(DEPDIR)/surf_usage2.Po
471 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/surf_usage2.c' object='surf_usage2.o' libtool=no @AMDEPBACKSLASH@
472 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
473 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o surf_usage2.o `test -f 'surf/surf_usage2.c' || echo '$(srcdir)/'`surf/surf_usage2.c
474
475 surf_usage2.obj: surf/surf_usage2.c
476 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT surf_usage2.obj -MD -MP -MF $(DEPDIR)/surf_usage2.Tpo -c -o surf_usage2.obj `if test -f 'surf/surf_usage2.c'; then $(CYGPATH_W) 'surf/surf_usage2.c'; else $(CYGPATH_W) '$(srcdir)/surf/surf_usage2.c'; fi`
477 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/surf_usage2.Tpo $(DEPDIR)/surf_usage2.Po
478 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/surf_usage2.c' object='surf_usage2.obj' libtool=no @AMDEPBACKSLASH@
479 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
480 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o surf_usage2.obj `if test -f 'surf/surf_usage2.c'; then $(CYGPATH_W) 'surf/surf_usage2.c'; else $(CYGPATH_W) '$(srcdir)/surf/surf_usage2.c'; fi`
481
482 trace_usage.o: surf/trace_usage.c
483 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trace_usage.o -MD -MP -MF $(DEPDIR)/trace_usage.Tpo -c -o trace_usage.o `test -f 'surf/trace_usage.c' || echo '$(srcdir)/'`surf/trace_usage.c
484 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/trace_usage.Tpo $(DEPDIR)/trace_usage.Po
485 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/trace_usage.c' object='trace_usage.o' libtool=no @AMDEPBACKSLASH@
486 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
487 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trace_usage.o `test -f 'surf/trace_usage.c' || echo '$(srcdir)/'`surf/trace_usage.c
488
489 trace_usage.obj: surf/trace_usage.c
490 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trace_usage.obj -MD -MP -MF $(DEPDIR)/trace_usage.Tpo -c -o trace_usage.obj `if test -f 'surf/trace_usage.c'; then $(CYGPATH_W) 'surf/trace_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/trace_usage.c'; fi`
491 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/trace_usage.Tpo $(DEPDIR)/trace_usage.Po
492 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/trace_usage.c' object='trace_usage.obj' libtool=no @AMDEPBACKSLASH@
493 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
494 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trace_usage.obj `if test -f 'surf/trace_usage.c'; then $(CYGPATH_W) 'surf/trace_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/trace_usage.c'; fi`
495
496 context_usage.o: xbt/context_usage.c
497 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT context_usage.o -MD -MP -MF $(DEPDIR)/context_usage.Tpo -c -o context_usage.o `test -f 'xbt/context_usage.c' || echo '$(srcdir)/'`xbt/context_usage.c
498 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/context_usage.Tpo $(DEPDIR)/context_usage.Po
499 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/context_usage.c' object='context_usage.o' libtool=no @AMDEPBACKSLASH@
500 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
501 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o context_usage.o `test -f 'xbt/context_usage.c' || echo '$(srcdir)/'`xbt/context_usage.c
502
503 context_usage.obj: xbt/context_usage.c
504 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT context_usage.obj -MD -MP -MF $(DEPDIR)/context_usage.Tpo -c -o context_usage.obj `if test -f 'xbt/context_usage.c'; then $(CYGPATH_W) 'xbt/context_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/context_usage.c'; fi`
505 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/context_usage.Tpo $(DEPDIR)/context_usage.Po
506 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/context_usage.c' object='context_usage.obj' libtool=no @AMDEPBACKSLASH@
507 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
508 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o context_usage.obj `if test -f 'xbt/context_usage.c'; then $(CYGPATH_W) 'xbt/context_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/context_usage.c'; fi`
509
510 graphxml_usage.o: xbt/graphxml_usage.c
511 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT graphxml_usage.o -MD -MP -MF $(DEPDIR)/graphxml_usage.Tpo -c -o graphxml_usage.o `test -f 'xbt/graphxml_usage.c' || echo '$(srcdir)/'`xbt/graphxml_usage.c
512 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/graphxml_usage.Tpo $(DEPDIR)/graphxml_usage.Po
513 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/graphxml_usage.c' object='graphxml_usage.o' libtool=no @AMDEPBACKSLASH@
514 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
515 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o graphxml_usage.o `test -f 'xbt/graphxml_usage.c' || echo '$(srcdir)/'`xbt/graphxml_usage.c
516
517 graphxml_usage.obj: xbt/graphxml_usage.c
518 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT graphxml_usage.obj -MD -MP -MF $(DEPDIR)/graphxml_usage.Tpo -c -o graphxml_usage.obj `if test -f 'xbt/graphxml_usage.c'; then $(CYGPATH_W) 'xbt/graphxml_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/graphxml_usage.c'; fi`
519 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/graphxml_usage.Tpo $(DEPDIR)/graphxml_usage.Po
520 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/graphxml_usage.c' object='graphxml_usage.obj' libtool=no @AMDEPBACKSLASH@
521 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
522 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o graphxml_usage.obj `if test -f 'xbt/graphxml_usage.c'; then $(CYGPATH_W) 'xbt/graphxml_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/graphxml_usage.c'; fi`
523
524 heap_bench.o: xbt/heap_bench.c
525 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT heap_bench.o -MD -MP -MF $(DEPDIR)/heap_bench.Tpo -c -o heap_bench.o `test -f 'xbt/heap_bench.c' || echo '$(srcdir)/'`xbt/heap_bench.c
526 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/heap_bench.Tpo $(DEPDIR)/heap_bench.Po
527 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/heap_bench.c' object='heap_bench.o' libtool=no @AMDEPBACKSLASH@
528 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
529 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o heap_bench.o `test -f 'xbt/heap_bench.c' || echo '$(srcdir)/'`xbt/heap_bench.c
530
531 heap_bench.obj: xbt/heap_bench.c
532 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT heap_bench.obj -MD -MP -MF $(DEPDIR)/heap_bench.Tpo -c -o heap_bench.obj `if test -f 'xbt/heap_bench.c'; then $(CYGPATH_W) 'xbt/heap_bench.c'; else $(CYGPATH_W) '$(srcdir)/xbt/heap_bench.c'; fi`
533 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/heap_bench.Tpo $(DEPDIR)/heap_bench.Po
534 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/heap_bench.c' object='heap_bench.obj' libtool=no @AMDEPBACKSLASH@
535 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
536 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o heap_bench.obj `if test -f 'xbt/heap_bench.c'; then $(CYGPATH_W) 'xbt/heap_bench.c'; else $(CYGPATH_W) '$(srcdir)/xbt/heap_bench.c'; fi`
537
538 log_usage.o: xbt/log_usage.c
539 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT log_usage.o -MD -MP -MF $(DEPDIR)/log_usage.Tpo -c -o log_usage.o `test -f 'xbt/log_usage.c' || echo '$(srcdir)/'`xbt/log_usage.c
540 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/log_usage.Tpo $(DEPDIR)/log_usage.Po
541 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/log_usage.c' object='log_usage.o' libtool=no @AMDEPBACKSLASH@
542 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
543 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o log_usage.o `test -f 'xbt/log_usage.c' || echo '$(srcdir)/'`xbt/log_usage.c
544
545 log_usage.obj: xbt/log_usage.c
546 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT log_usage.obj -MD -MP -MF $(DEPDIR)/log_usage.Tpo -c -o log_usage.obj `if test -f 'xbt/log_usage.c'; then $(CYGPATH_W) 'xbt/log_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/log_usage.c'; fi`
547 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/log_usage.Tpo $(DEPDIR)/log_usage.Po
548 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/log_usage.c' object='log_usage.obj' libtool=no @AMDEPBACKSLASH@
549 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
550 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o log_usage.obj `if test -f 'xbt/log_usage.c'; then $(CYGPATH_W) 'xbt/log_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/log_usage.c'; fi`
551
552 mostlyclean-libtool:
553         -rm -f *.lo
554
555 clean-libtool:
556         -rm -rf .libs _libs
557
558 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
559         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
560         unique=`for i in $$list; do \
561             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
562           done | \
563           $(AWK) '    { files[$$0] = 1; } \
564                END { for (i in files) print i; }'`; \
565         mkid -fID $$unique
566 tags: TAGS
567
568 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
569                 $(TAGS_FILES) $(LISP)
570         tags=; \
571         here=`pwd`; \
572         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
573         unique=`for i in $$list; do \
574             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
575           done | \
576           $(AWK) '    { files[$$0] = 1; } \
577                END { for (i in files) print i; }'`; \
578         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
579           test -n "$$unique" || unique=$$empty_fix; \
580           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
581             $$tags $$unique; \
582         fi
583 ctags: CTAGS
584 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
585                 $(TAGS_FILES) $(LISP)
586         tags=; \
587         here=`pwd`; \
588         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
589         unique=`for i in $$list; do \
590             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
591           done | \
592           $(AWK) '    { files[$$0] = 1; } \
593                END { for (i in files) print i; }'`; \
594         test -z "$(CTAGS_ARGS)$$tags$$unique" \
595           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
596              $$tags $$unique
597
598 GTAGS:
599         here=`$(am__cd) $(top_builddir) && pwd` \
600           && cd $(top_srcdir) \
601           && gtags -i $(GTAGS_ARGS) $$here
602
603 distclean-tags:
604         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
605
606 check-TESTS: $(TESTS)
607         @failed=0; all=0; xfail=0; xpass=0; skip=0; ws='[        ]'; \
608         srcdir=$(srcdir); export srcdir; \
609         list=' $(TESTS) '; \
610         if test -n "$$list"; then \
611           for tst in $$list; do \
612             if test -f ./$$tst; then dir=./; \
613             elif test -f $$tst; then dir=; \
614             else dir="$(srcdir)/"; fi; \
615             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
616               all=`expr $$all + 1`; \
617               case " $(XFAIL_TESTS) " in \
618               *$$ws$$tst$$ws*) \
619                 xpass=`expr $$xpass + 1`; \
620                 failed=`expr $$failed + 1`; \
621                 echo "XPASS: $$tst"; \
622               ;; \
623               *) \
624                 echo "PASS: $$tst"; \
625               ;; \
626               esac; \
627             elif test $$? -ne 77; then \
628               all=`expr $$all + 1`; \
629               case " $(XFAIL_TESTS) " in \
630               *$$ws$$tst$$ws*) \
631                 xfail=`expr $$xfail + 1`; \
632                 echo "XFAIL: $$tst"; \
633               ;; \
634               *) \
635                 failed=`expr $$failed + 1`; \
636                 echo "FAIL: $$tst"; \
637               ;; \
638               esac; \
639             else \
640               skip=`expr $$skip + 1`; \
641               echo "SKIP: $$tst"; \
642             fi; \
643           done; \
644           if test "$$failed" -eq 0; then \
645             if test "$$xfail" -eq 0; then \
646               banner="All $$all tests passed"; \
647             else \
648               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
649             fi; \
650           else \
651             if test "$$xpass" -eq 0; then \
652               banner="$$failed of $$all tests failed"; \
653             else \
654               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
655             fi; \
656           fi; \
657           dashes="$$banner"; \
658           skipped=""; \
659           if test "$$skip" -ne 0; then \
660             skipped="($$skip tests were not run)"; \
661             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
662               dashes="$$skipped"; \
663           fi; \
664           report=""; \
665           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
666             report="Please report to $(PACKAGE_BUGREPORT)"; \
667             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
668               dashes="$$report"; \
669           fi; \
670           dashes=`echo "$$dashes" | sed s/./=/g`; \
671           echo "$$dashes"; \
672           echo "$$banner"; \
673           test -z "$$skipped" || echo "$$skipped"; \
674           test -z "$$report" || echo "$$report"; \
675           echo "$$dashes"; \
676           test "$$failed" -eq 0; \
677         else :; fi
678
679 distdir: $(DISTFILES)
680         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
681         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
682         list='$(DISTFILES)'; \
683           dist_files=`for file in $$list; do echo $$file; done | \
684           sed -e "s|^$$srcdirstrip/||;t" \
685               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
686         case $$dist_files in \
687           */*) $(MKDIR_P) `echo "$$dist_files" | \
688                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
689                            sort -u` ;; \
690         esac; \
691         for file in $$dist_files; do \
692           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
693           if test -d $$d/$$file; then \
694             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
695             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
696               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
697             fi; \
698             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
699           else \
700             test -f $(distdir)/$$file \
701             || cp -p $$d/$$file $(distdir)/$$file \
702             || exit 1; \
703           fi; \
704         done
705 check-am: all-am
706         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS) $(check_SCRIPTS)
707         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
708 check: check-am
709 all-am: Makefile
710 installdirs:
711 install: install-am
712 install-exec: install-exec-am
713 install-data: install-data-am
714 uninstall: uninstall-am
715
716 install-am: all-am
717         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
718
719 installcheck: installcheck-am
720 install-strip:
721         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
722           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
723           `test -z '$(STRIP)' || \
724             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
725 mostlyclean-generic:
726
727 clean-generic:
728         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
729
730 distclean-generic:
731         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
732         -rm -f simdag/$(am__dirstamp)
733         -rm -f surf/$(am__dirstamp)
734         -rm -f xbt/$(am__dirstamp)
735         -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
736
737 maintainer-clean-generic:
738         @echo "This command is intended for maintainers to use"
739         @echo "it deletes files that may require special tools to rebuild."
740 clean: clean-am
741
742 clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
743         mostlyclean-am
744
745 distclean: distclean-am
746         -rm -rf ./$(DEPDIR)
747         -rm -f Makefile
748 distclean-am: clean-am distclean-compile distclean-generic \
749         distclean-tags
750
751 dvi: dvi-am
752
753 dvi-am:
754
755 html: html-am
756
757 info: info-am
758
759 info-am:
760
761 install-data-am:
762
763 install-dvi: install-dvi-am
764
765 install-exec-am:
766
767 install-html: install-html-am
768
769 install-info: install-info-am
770
771 install-man:
772
773 install-pdf: install-pdf-am
774
775 install-ps: install-ps-am
776
777 installcheck-am:
778
779 maintainer-clean: maintainer-clean-am
780         -rm -rf ./$(DEPDIR)
781         -rm -f Makefile
782 maintainer-clean-am: distclean-am maintainer-clean-generic
783
784 mostlyclean: mostlyclean-am
785
786 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
787         mostlyclean-libtool
788
789 pdf: pdf-am
790
791 pdf-am:
792
793 ps: ps-am
794
795 ps-am:
796
797 uninstall-am:
798
799 .MAKE: install-am install-strip
800
801 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
802         clean-checkPROGRAMS clean-generic clean-libtool ctags \
803         distclean distclean-compile distclean-generic \
804         distclean-libtool distclean-tags distdir dvi dvi-am html \
805         html-am info info-am install install-am install-data \
806         install-data-am install-dvi install-dvi-am install-exec \
807         install-exec-am install-html install-html-am install-info \
808         install-info-am install-man install-pdf install-pdf-am \
809         install-ps install-ps-am install-strip installcheck \
810         installcheck-am installdirs maintainer-clean \
811         maintainer-clean-generic mostlyclean mostlyclean-compile \
812         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
813         tags uninstall uninstall-am
814
815
816 test: $(noinst_PROGRAMS) $(noinst_SCRIPTS)
817         ./run_tests
818 valgrind: $(noinst_PROGRAMS) $(noinst_SCRIPTS)
819         ./run_tests valgrind
820
821 dist-files:
822         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
823         @echo
824         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
825 # Tell versions [3.59,3.63) of GNU make to not export all variables.
826 # Otherwise a system limit (for SysV at least) may be exceeded.
827 .NOEXPORT: